// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_observer.sci,v 1.1 2005/04/25 04:30:33 dirk Exp dirk $

function ret=sug_observer(d,e,a,x,y,z)
  // talk to openGL window
  expr=sprintf('.gdhe.ogl setObs -dist %f -elev %f -azi %f -x %f -y %f -z %f',..
             d,e,a,x,y,z);
  ret1=sug_eval(expr);

  // talk to control panel via global variables
  expr=sprintf('set obsDist %f;'+..
               'set obsElev %f;'+..
               'set obsAzi %f;'+..
               'set obsX %f;'+..
               'set obsY %f;'+..
               'set obsZ %f',d,e,a,x,y,z);
  ret2=sug_eval(expr);
  
  ret=min(ret1,ret2);
endfunction

