// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_place.sci,v 1.1 2005/04/25 04:30:33 dirk Exp dirk $

function ret=sug_place(name,varargin)
  rhs=argn(2);
  if rhs==1 then
    expr=sprintf('set pos(%s) {0 0 0 0 0 0}',name);
  elseif rhs==7
    expr=sprintf('set pos(%s) {%f %f %f %f %f %f}',name,..
                 varargin(1),varargin(2),varargin(3),..
                 varargin(4),varargin(5),varargin(6));
  else
    error('1/7 arguments are expected');
  end
  ret=sug_eval(expr);
endfunction
