/* Copyright (C) 2005 Dirk Reusch
 *
 * This file is part of SUG3D
 *
 * SUG3D is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * SUG3D is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
 * License for more details.
 * You should have received a copy of the GNU General Public License
 * along with SUG3D; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 *
 * $Id: sug3d.c,v 1.2 2005/04/25 09:19:42 dirk Exp dirk $
 */
 
#include <gdhe/GDHE.h>

static int conn=0;

void sug_open(ret,server)
int  *ret;
char *server;
{
  if (conn) disconnect();
  conn=get_connection(server);
  *ret=conn;
}

void sug_close(ret)
int *ret;
{
  if (conn) {
    disconnect();
    conn=0;
    *ret=1;
  }
  else *ret=0;
}

void sug_eval(ret,expr)
int  *ret;
char *expr;
{
  if (conn) 
    *ret=eval_expression(expr);
  else
    *ret=0;
}
