mode(-1);

// specific part
libname="SUG3Dlib"
libtitle="SUG3D Toolbox"
SUG3D_PATH=get_absolute_file_path("builder.sce");

// revision number
libversion=unix_g('cat '+SUG3D_PATH+'VERSION');

// show general info
mprintf('Building toolbox ...\n\n');
mprintf('%s version %s, Copyright (C) 2005 Dirk Reusch\n\n',libtitle,libversion);
mprintf('This is free software; see the source code for copying conditions.\n');
mprintf('There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or\n');
mprintf('FITNESS FOR A PARTICULAR PURPOSE. For details, read file COPYING.\n\n');

// src
mprintf(' - Compiling C code           ...\n');
chdir(SUG3D_PATH+"src");
exec("builder.sce",-1);
mprintf('                              ... done\n');

// macros
mprintf(' - Compiling Scilab macros    ... ');
chdir(SUG3D_PATH+"macros");
exec("builder.sce",-1);
mprintf('done\n');

// man
mprintf('  - Compiling man pages        ...\n');
add_help_chapter(libtitle,SUG3D_PATH+'/man');
txt=mgetl(SCI+"/man/manrev.dtd");
mputl(txt,SUG3D_PATH+"man/manrev.dtd");
chdir(SUG3D_PATH+"man");
xmltohtml(SUG3D_PATH+"man","SUG3D Toolbox",'html-rev.xsl');
mprintf('                               ... done\n');

// tip of the day
mprintf('\n%s was built. Click on ''toolboxes'' to find out more ...\n',libtitle);

clear libname libtitle libversion SGU3D_PATH txt

