// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_cylinder.sci,v 1.1 2005/04/25 04:30:33 dirk Exp dirk $

function ret=sug_cylinder(name,clr,x0,y0,z0,axis,l,d,varargin)
  rhs=argn(2);
  
  if rhs==8 then
    d2=d;
  elseif rhs==9 then
    d2=varargin(1);
  else
    error('8/9 arguments are expected');
  end
  
  rgb=name2rgb(clr);
  
  expr=sprintf('set robots(%s) ""color %i %i %i;cylinder %f %f %f %s %f %f %f""',..
               name,rgb(1),rgb(2),rgb(3),x0,y0,z0,axis,d,d2,l);               
  ret=sug_eval(expr);
endfunction

