// Copyright (C) 2005 Dirk Reusch
//
// This file is part of SUG3D
//
// SUG3D is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// SUG3D is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
// License for more details.
// You should have received a copy of the GNU General Public License
// along with SUG3D; see the file COPYING.  If not, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// $Id: sug_dump.sci,v 1.1 2005/04/25 04:30:33 dirk Exp dirk $

function ret=sug_dump(fmt,fname)
//
// eps     -> .ghde.old dumpEps -color fname
// epsmono -> .gdhe.ogl dumpEps fname
// ppm     -> .gdhe.ogl dumpPpm -color fname
// pgm     -> .gdhe.ogl dumpPpm fname
//
  if fmt=='eps' then
    expr='dumpEps -color';
  elseif fmt=='ppm' then
    expr='dumpPpm -color';
  elseif fmt=='epsmono' then
    expr='dumpEps';
  elseif fmt=='pgm' then
    expr=='dumpPpm';
  else
    error('unknown dump format');
  end
  
  ret=sug_eval('.gdhe.ogl '+expr+' '+fname);
endfunction

